WhatsApp Chat

WhatsApp Chat

Get WhatsApp chat list

get

Fetches a list of WhatsApp consumer phone numbers and their latest messages, along with unread message counts.

Responses
chevron-right
200

Chat List Fetched Successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Chat List Fetched Successfully
get
/api/whatsapp/chat-list
200

Chat List Fetched Successfully

Get all WhatsApp chat messages

get

Fetches all chat messages for a specified phone number.

Path parameters
phone_number_idintegerRequired

The ID of the phone number for which to fetch messages

Responses
chevron-right
200

Chat Messages Fetched Successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Chat Messages Fetched Successfully
get
/api/whatsapp/chat-messages/{phone_number_id}
200

Chat Messages Fetched Successfully

Soft Delete a WhatsApp message

delete

Soft deletes a specific WhatsApp message using the provided message ID.

Path parameters
whatsappMessageIDstringRequired

The ID of the WhatsApp message to be deleted

Responses
chevron-right
200

Message soft deleted successfully

application/json
successbooleanOptionalExample: true
messagestringOptionalExample: Message soft deleted successfully
delete
/api/whatsapp/delete-message/{whatsappMessage}

Last updated